Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

API/Repository/Values/User/Limitation.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\API\Repository\Values\User;
8
9 use eZ\Publish\API\Repository\Values\ValueObject;
10
14 abstract class Limitation extends ValueObject
15 {
16 // consts for BC
17 const CONTENTTYPE = 'Class';
18 const LANGUAGE = 'Language';
19 const LOCATION = 'Node';
20 const OWNER = 'Owner';
21 const PARENTOWNER = 'ParentOwner';
22 const PARENTCONTENTTYPE = 'ParentClass';
23 const PARENTDEPTH = 'ParentDepth';
24 const SECTION = 'Section';
25 const NEWSECTION = 'NewSection';
26 const SITEACCESS = 'SiteAccess';
27 const STATE = 'State';
28 const NEWSTATE = 'NewState';
29 const SUBTREE = 'Subtree';
30 const USERGROUP = 'Group';
31 const PARENTUSERGROUP = 'ParentGroup';
32 const STATUS = 'Status';
33
39 abstract public function getIdentifier();
40
50 public $limitationValues = [];
51 }
eZ\Publish\API\Repository\Values\User\Limitation
This class represents a Limitation applied to a policy.
Definition: API/Repository/Values/User/Limitation.php:15
eZ\Publish\API\Repository\Values\User\Limitation\NEWSECTION
const NEWSECTION
Definition: API/Repository/Values/User/Limitation.php:25
eZ\Publish\API\Repository\Values\User\Limitation\USERGROUP
const USERGROUP
Definition: API/Repository/Values/User/Limitation.php:30
eZ\Publish\API\Repository\Values\User\Limitation\PARENTDEPTH
const PARENTDEPTH
Definition: API/Repository/Values/User/Limitation.php:23
eZ\Publish\API\Repository\Values\User\Limitation\LANGUAGE
const LANGUAGE
Definition: API/Repository/Values/User/Limitation.php:18
eZ\Publish\API\Repository\Values\User\Limitation\PARENTOWNER
const PARENTOWNER
Definition: API/Repository/Values/User/Limitation.php:21
eZ\Publish\API\Repository\Values\User\Limitation\SUBTREE
const SUBTREE
Definition: API/Repository/Values/User/Limitation.php:29
eZ\Publish\API\Repository\Values\User\Limitation\PARENTUSERGROUP
const PARENTUSERGROUP
Definition: API/Repository/Values/User/Limitation.php:31
eZ\Publish\API\Repository\Values\User\Limitation\STATUS
const STATUS
Definition: API/Repository/Values/User/Limitation.php:32
eZ\Publish\API\Repository\Values\User\Limitation\CONTENTTYPE
const CONTENTTYPE
Definition: API/Repository/Values/User/Limitation.php:17
eZ\Publish\API\Repository\Values\User\Limitation\PARENTCONTENTTYPE
const PARENTCONTENTTYPE
Definition: API/Repository/Values/User/Limitation.php:22
eZ\Publish\API\Repository\Values\User\Limitation\LOCATION
const LOCATION
Definition: API/Repository/Values/User/Limitation.php:19
eZ\Publish\API\Repository\Values\User\Limitation\SITEACCESS
const SITEACCESS
Definition: API/Repository/Values/User/Limitation.php:26
eZ\Publish\API\Repository\Values\User\Limitation\SECTION
const SECTION
Definition: API/Repository/Values/User/Limitation.php:24
eZ\Publish\API\Repository\Values\User\Limitation\STATE
const STATE
Definition: API/Repository/Values/User/Limitation.php:27
eZ\Publish\API\Repository\Values\User\Limitation\OWNER
const OWNER
Definition: API/Repository/Values/User/Limitation.php:20
eZ\Publish\API\Repository\Values\User\Limitation\$limitationValues
$limitationValues
Definition: API/Repository/Values/User/Limitation.php:50
eZ\Publish\API\Repository\Values\User\Limitation\NEWSTATE
const NEWSTATE
Definition: API/Repository/Values/User/Limitation.php:28
eZ\Publish\API\Repository\Values\User\Limitation\getIdentifier
getIdentifier()
Returns the limitation identifier (one of the defined constants) or a custom limitation.
eZ\Publish\API\Repository\Values\ValueObject
Definition: API/Repository/Values/ValueObject.php:21
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.